<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_r"></a>- r -</h3><ul>
<li>read()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a4cbeab24735c515366f5c3df77af15e9">alexaClientSDK::avsCommon::avs::attachment::AttachmentReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment_reader.html#a88d36df703bb32d68d881b9206c562f4">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachmentReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#a376432e3407cbdd58fa863e7c5f6f8c7">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::Reader&lt; T &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_decoder_interface.html#a4fd7b0bed7e48d734d30bc38bb834433">alexaClientSDK::mediaPlayer::android::DecoderInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_decoder.html#a5e8087f1462b3ed2020f41b122b14a24">alexaClientSDK::mediaPlayer::android::FFmpegDecoder</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a848c1be7d7914f786b2e3437840fb5a1">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_attachment_reader.html#a26dc785cddfd4df75adb33d9a90f4ca9">alexaClientSDK::mediaPlayer::test::MockAttachmentReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer.html#ab63a83a25d534839950a1ced47be87df">alexaClientSDK::playlistParser::FFMpegInputBuffer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_reader.html#acd6e2bb37e3cbaf4e2d0a09aba15eb7f">alexaClientSDK::sampleApp::ConsoleReader</a>
</li>
<li>readAndVerifyResult()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_attachment_reader_test.html#adc31028dac44211e61f28400db8f196f">alexaClientSDK::avsCommon::avs::test::AttachmentReaderTest</a>
</li>
<li>readAudioFromFile()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alerts_test.html#a0cc91995cb21e6a71e3a61c03453a0be">alexaClientSDK::integration::test::AlertsTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a76f94e3b7c13102ddc2d04089c3fd4f1">alexaClientSDK::integration::test::AudioPlayerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html#a1124f95648a286558e9bde07a77e6573">alexaClientSDK::kwd::test::KittAiKeyWordTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#afd4ee60e1d7d7da3208c85a40f1e69a6">alexaClientSDK::kwd::test::SensoryKeywordTest</a>
</li>
<li>readDecryptedContent()
: <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#ad27caf935f5473e0da1f81505b376042">alexaClientSDK::playlistParser::test::ContentDecrypterTest</a>
</li>
<li>Reader()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#a396b1d383190a25bf3e9d3220ac8acfa">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::Reader&lt; T &gt;</a>
</li>
<li>readFromStream()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a4771c4228862639ee8f274b622b2c8ef">alexaClientSDK::kwd::AbstractKeywordDetector</a>
</li>
<li>receive()
: <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_message_interpreter.html#abbbfb9e269a1ff7dc157784cd33fcf23">alexaClientSDK::adsl::MessageInterpreter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_dialog_u_x_state_aggregator.html#aeea4a2b73c4a8e7ae513f4fc4b92a3fd">alexaClientSDK::avsCommon::avs::DialogUXStateAggregator</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_observer_interface.html#a32734a0bfe74e1038309eca98212ce4b">alexaClientSDK::avsCommon::sdkInterfaces::MessageObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_message_observer.html#a90c0703cbe5ca777395d561f2ed40abc">alexaClientSDK::avsCommon::utils::TestableMessageObserver</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_client_message_handler.html#a23f61b4326e3311b5c40fd7ab49daaf7">alexaClientSDK::integration::ClientMessageHandler</a>
</li>
<li>receiveBytes()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_attachment_reader.html#ae2332a4eb152643f2adcca76c22182cd">alexaClientSDK::mediaPlayer::test::MockAttachmentReader</a>
</li>
<li>recognize()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#ac9cc8e33b529059154fb837e278cdada">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>
</li>
<li>RecognizeEvent()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_recognize_event.html#ab94c6be55f0f093c107213b556523574">alexaClientSDK::capabilityAgents::aip::test::RecognizeEvent</a>
</li>
<li>reconnect()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#a2092d27364c7e6bcb221b8e461f8a1ff">alexaClientSDK::acl::AVSConnectionManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a47da5e13e61b698e761f5d6ffd6d82af">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#aa867cfb33c696a38b2ee3337956bf290">alexaClientSDK::integration::test::TestMessageSender</a>
</li>
<li>ReferenceCounter()
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_reference_counter.html#acfa7da734982f9127f509b8bf6c7c8c0">alexaClientSDK::avsCommon::utils::ReferenceCounter</a>
</li>
<li>registerCapability()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_delegate_interface.html#aea4c03c0c2a50b1931be038492cb5cab">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesDelegateInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html#a2b2795ff9e89e78a78ac1867fea2a279">alexaClientSDK::capabilitiesDelegate::CapabilitiesDelegate</a>
</li>
<li>registerEqualizer()
: <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_controller.html#ab312fc99f251e34ebbf5761b07ffed79">alexaClientSDK::equalizer::EqualizerController</a>
</li>
<li>registerWithDBus()
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html#a48b5bf0ef995b5bd1dab5d507211d22d">alexaClientSDK::bluetoothImplementations::blueZ::DBusObjectBase</a>
</li>
<li>RegistrationManager()
: <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_manager.html#ae25d121d46b676390486a36470ae7306">alexaClientSDK::registrationManager::RegistrationManager</a>
</li>
<li>releaseChannel()
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html#a2070cf2dd51b99215429327d393d49c5">alexaClientSDK::afml::FocusManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#aac5971dc19973db85716773e4a9c2f9b">alexaClientSDK::avsCommon::sdkInterfaces::FocusManagerInterface</a>
</li>
<li>Reminder()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_reminder.html#ac0a322d5b2d32afedb7d1e447bfad0b3">alexaClientSDK::capabilityAgents::alerts::Reminder</a>
</li>
<li>ReminderAlertTest()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_reminder_alert_test.html#a9f64ffe817fb4ab0eb7b973fd38b0413">alexaClientSDK::capabilityAgents::alerts::test::ReminderAlertTest</a>
</li>
<li>reminderDefault()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_alerts_audio_factory.html#a47136f7cf40539196318d1478ff15106">alexaClientSDK::applicationUtilities::resources::audio::AlertsAudioFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_alerts_audio_factory_interface.html#a7c44dceeedb01c802b80350f581ef25c">alexaClientSDK::avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface</a>
</li>
<li>reminderDefaultFactory()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_reminder_alert_test.html#ae6656071ffa0351c58edfd19044d6e57">alexaClientSDK::capabilityAgents::alerts::test::ReminderAlertTest</a>
</li>
<li>reminderShort()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_alerts_audio_factory.html#a3e7410ca464fa56cb8de51256470c1a9">alexaClientSDK::applicationUtilities::resources::audio::AlertsAudioFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_alerts_audio_factory_interface.html#a4f431205bfafa357705203f5fb7e533e">alexaClientSDK::avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface</a>
</li>
<li>reminderShortFactory()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_reminder_alert_test.html#a087daf54e0be3c37febfd3205c1fa89a">alexaClientSDK::capabilityAgents::alerts::test::ReminderAlertTest</a>
</li>
<li>remove()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#af737ce62ca2155a2bc34dfaa2661ea68">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a3ca9e8be35380fc8cf4765a561d95d6b">alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_shutdown_monitor.html#ab698431f8ffc6e3ee45bc4be6a91a9a1">alexaClientSDK::avsCommon::utils::ShutdownMonitor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#abe90f191fe9df863250a0ebff4525de1">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth_storage_interface.html#a9e60ebce335a6b39c0057ba6a0d33250">alexaClientSDK::capabilityAgents::bluetooth::BluetoothStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_s_q_lite_bluetooth_storage.html#a12951acca57b2368abfa520376ae478b">alexaClientSDK::capabilityAgents::bluetooth::SQLiteBluetoothStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_misc_storage.html#a9a75999f1fc31a8c55c64c94d2fe7b3f">alexaClientSDK::storage::sqliteStorage::SQLiteMiscStorage</a>
</li>
<li>removeAlertsObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a118d3c40145732c14ad9b1b9ec28d5ef">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeAlexaDialogStateObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a17ff8986d2ef3616d98b965ab79c61ef">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeAll()
: <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callbacks.html#ae328284ba56fc87e6a346fb2fea0d754">alexaClientSDK::settings::SettingCallbacks&lt; ManagerT &gt;</a>
</li>
<li>removeAllAlerts()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a8e4653bb2070dee12722fb12861efa21">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a>
</li>
<li>removeAudioPlayerObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#aecadab90900fefb0c5dfece7b72ff7f1">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeAuthObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_delegate.html#ad9c4e36ecd1310564e2bcb0950e52b52">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthDelegate</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html#acba7bf24a550d8009a0d9adbb72955b0">alexaClientSDK::avsCommon::sdkInterfaces::AuthDelegateInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_auth_delegate.html#a19416a7b347890c2306f2e5846ece940">alexaClientSDK::capabilitiesDelegate::test::TestAuthDelegate</a>
</li>
<li>removeBluetoothDeviceObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a0d1899766bb5f7f07fcfb90a83365dab">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeCallStateObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a9e341ce5d352d41d1b714363c6ae17e8">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeCapabilitiesObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_delegate_interface.html#af069373c686a337741dfaa5f9cfa7bc4">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesDelegateInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html#a33641d4c4937d992f68a0264ed8fc9b4">alexaClientSDK::capabilitiesDelegate::CapabilitiesDelegate</a>
</li>
<li>removeConnectionObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a3c0d851a10fc641cfa474ba9f6ea8f7b">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeConnectionStatusObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#af574f5cb87dab039f991b0e9217b609c">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#ad7c477da1dce9926a7b4eaeda9d5c2af">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#aa107c49f645855dc9be7b993d9063b83">alexaClientSDK::integration::test::TestMessageSender</a>
</li>
<li>removeDataHandler()
: <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#a57106d24e47a5243a5a3ecae22e2c4cd">alexaClientSDK::registrationManager::CustomerDataManager</a>
</li>
<li>removeDefaultAudioProvider()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_audio_input_processor_test.html#a61bb10f86b28e30ecd3ee00bb138af2e">alexaClientSDK::capabilityAgents::aip::test::AudioInputProcessorTest</a>
</li>
<li>removeDirective()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a8818d802b24e4b2a69ddeac9c659199f">alexaClientSDK::avsCommon::avs::CapabilityAgent</a>
</li>
<li>removeDirectiveHandler()
: <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_router.html#a9d36b2f365afebbd8229fa79246350d8">alexaClientSDK::adsl::DirectiveRouter</a>
, <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_sequencer.html#abe676bf22ffd022a04659f67bc420962">alexaClientSDK::adsl::DirectiveSequencer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_sequencer_interface.html#af91ce4c3a515f0bd7b7ed90d1af29a14">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveSequencerInterface</a>
</li>
<li>removeExternalMediaPlayerObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a1f0f7487c6d3bd68aaca7e7691f951d1">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeFromManager()
: <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callback_adapter.html#af5a4b64e71072e01868abf2ff6e97582">alexaClientSDK::settings::SettingCallbackAdapter&lt; ManagerT, id &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callback_adapter_interface.html#ab15fa83c780904c4ce1fee65c57aa16b">alexaClientSDK::settings::SettingCallbackAdapterInterface&lt; ManagerT &gt;</a>
</li>
<li>removeGlobalSettingsObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a7d0e615268ae97d4267ff206cc9b5f6e">alexaClientSDK::capabilityAgents::settings::Settings</a>
</li>
<li>removeHandle()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_multi_handle_wrapper.html#a6353124bfb0d8d697ec67d655235fdee">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlMultiHandleWrapper</a>
</li>
<li>removeInternetConnectionObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_internet_connection_monitor_interface.html#a62e2bcfc8aba06a17242b3dec4d5f646">alexaClientSDK::avsCommon::sdkInterfaces::InternetConnectionMonitorInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1network_1_1_internet_connection_monitor.html#a31e513d93c3ec1b3e1a4aa7ba67d7e37">alexaClientSDK::avsCommon::utils::network::InternetConnectionMonitor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a08ad1de9d0266aea53fd21d0f8d77c3d">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeKeyWordDetectorStateObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a79ec4a7988562f95bd7ce5c244306c46">alexaClientSDK::kwd::AbstractKeywordDetector</a>
</li>
<li>removeKeyWordObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#aa78f5db89d60194bc1bd3f4df75c3343">alexaClientSDK::kwd::AbstractKeywordDetector</a>
</li>
<li>removeListener()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event_bus.html#af310c001d0eadae3b1ecc9c81d0d4afb">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventBus</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_controller.html#accd6565e05d2c43e502166bf0f0c9c32">alexaClientSDK::equalizer::EqualizerController</a>
</li>
<li>removeLogLevelObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a1040a28f336e76b058ca2f53eafbd232">alexaClientSDK::avsCommon::utils::logger::Logger</a>
</li>
<li>removeMessageObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#aa3cd09a69fec004d9f2224c787263e91">alexaClientSDK::acl::AVSConnectionManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a918925ff3e2c866ac3a41e30aa3247a7">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#aa3c8d64ec5c983ea00b8b9febaea78c6">alexaClientSDK::defaultClient::DefaultClient</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#ab529ae50de9598bc8b65c2ae841af201">alexaClientSDK::integration::test::TestMessageSender</a>
</li>
<li>removeNotificationsObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a428ddb5e1bd55a932cbd555e00fe4bce">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html#a480df4ceb9bc9ded249d51221f5d614e">alexaClientSDK::acl::HTTP2Transport</a>
, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html#a0dfc2a219f6541918feb41baeb074e0b">alexaClientSDK::afml::FocusManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_dialog_u_x_state_aggregator.html#ade81b7f5b3fd27648292d2b8da73ff39">alexaClientSDK::avsCommon::avs::DialogUXStateAggregator</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a31fe3acc9b87911b14fb4a10d98d6dda">alexaClientSDK::avsCommon::avs::MessageRequest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_player_interface.html#a611b0dfe0b77e08747a9c27e42671fdd">alexaClientSDK::avsCommon::sdkInterfaces::AudioPlayerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_call_manager_interface.html#af9546c30a7b185c342751311852b002d">alexaClientSDK::avsCommon::sdkInterfaces::CallManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#ab184660c68bda429c6786a2f9c81fa08">alexaClientSDK::avsCommon::sdkInterfaces::FocusManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_user_inactivity_monitor_interface.html#a3a2232024fb518b54bc75157c8d6f3ee">alexaClientSDK::avsCommon::sdkInterfaces::UserInactivityMonitorInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a7b21abac79555a079ddb124d72caa1c9">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#abb43665a8ad3ba4b921c8e84bcc48287">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_player.html#a568eb950a0b8defdd76a82aec0e33082">alexaClientSDK::capabilityAgents::audioPlayer::AudioPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth.html#a7f133b99b37fe2c2a494a588afb14956">alexaClientSDK::capabilityAgents::bluetooth::Bluetooth</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#afd79af71fe1ee4798a23bb91ba172281">alexaClientSDK::capabilityAgents::externalMediaPlayer::ExternalMediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer.html#aa6b7fa67a467fd23a84feac79fdb9e9f">alexaClientSDK::capabilityAgents::notifications::NotificationRenderer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer_interface.html#afe377f64e4756d13adfd8abcf560c91d">alexaClientSDK::capabilityAgents::notifications::NotificationRendererInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html#a9e6cfd4ecb4bae6780b10eea58d8b23d">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_mock_notification_renderer.html#a38cf5febc8b088edd683c21fb76f846a">alexaClientSDK::capabilityAgents::notifications::test::MockNotificationRenderer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html#a4088406a6f3528b4e416f8ee1c71d018">alexaClientSDK::capabilityAgents::speechSynthesizer::SpeechSynthesizer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_revoke_authorization_handler.html#a4c71d818ab5a67b63b73c314f8d434cb">alexaClientSDK::capabilityAgents::system::RevokeAuthorizationHandler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_user_inactivity_monitor.html#abb561a4d6a99fd741a1850cdd285f799">alexaClientSDK::capabilityAgents::system::UserInactivityMonitor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html#a37d1c777164f9f8dd86b7ef3abdcb657">alexaClientSDK::capabilityAgents::templateRuntime::TemplateRuntime</a>
, <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_manager.html#a2cf9d923fd222d395b22374311008670">alexaClientSDK::registrationManager::RegistrationManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#aea3aa5f2529adbbd55bf6f578a5c6d25">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a966496ddce73854b17f0933316be7c03">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a>
</li>
<li>removeSetting()
: <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a677d8b6bd86ee15fa66bb8f914d1a3ae">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a>
</li>
<li>removeSettingObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#afbb637c207d72ddb2a4ca598c7d8998b">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeSingleSettingObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#ace993c0b2241b7e8e5f236a2d9ba68c9">alexaClientSDK::capabilityAgents::settings::Settings</a>
</li>
<li>removeSinkObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger_sink_manager.html#a400bbb733ab7b287dd0d7abe9b5605aa">alexaClientSDK::avsCommon::utils::logger::LoggerSinkManager</a>
</li>
<li>removeSource()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#aae0be228bf3888f89759296cb4329ecb">alexaClientSDK::mediaPlayer::MediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_pipeline_interface.html#ad4939ae107f03be058eabe02931f807d">alexaClientSDK::mediaPlayer::PipelineInterface</a>
</li>
<li>removeSpeakerManagerObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_interface.html#a6570945eeaa108343621578900728a66">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a19450394ea7ecea3b1a3750f16829983">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a1e8cb582462406d255813e9fa9e3f9df">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>removeTemplateRuntimeObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a454d37c56eb354cb63de6ff928a0bf6b">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>RendererTest()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html#ae29836fc3c0ec7ac0214eb0c24dafbfb">alexaClientSDK::capabilityAgents::alerts::renderer::test::RendererTest</a>
</li>
<li>renderNotification()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer.html#ab90f400f6d91e73371bbe8afbf3ced56">alexaClientSDK::capabilityAgents::notifications::NotificationRenderer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer_interface.html#abc5288cf255559236950c944df4fef55">alexaClientSDK::capabilityAgents::notifications::NotificationRendererInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_mock_notification_renderer.html#ad838ec7859bb89696ce9a302cf344902">alexaClientSDK::capabilityAgents::notifications::test::MockNotificationRenderer</a>
</li>
<li>renderPlayerInfoCard()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface.html#afa50826e60e62895cbf79e9c96b4df6d">alexaClientSDK::avsCommon::sdkInterfaces::TemplateRuntimeObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a7932b156649d82a7715458f43557a0c0">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>renderTemplateCard()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface.html#a2fed5a4d0e5e0f91a1bf0bd8f2f9fb42">alexaClientSDK::avsCommon::sdkInterfaces::TemplateRuntimeObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#aea438e06ee5a196dc2e056c8ac87670c">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>reportCompletion()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#ada77bd247705a6e36753a1babd2488c8">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request</a>
</li>
<li>reportResponseCode()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a98c794fe8b0c3d81d6ffa301d8878298">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request</a>
</li>
<li>requestProgress()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_player.html#aeeccd29898800eda954c059cf73f5b54">alexaClientSDK::capabilityAgents::audioPlayer::AudioPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer_1_1_context_interface.html#a5d6c6292580d7b878c5fd966c7074791">alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::ContextInterface</a>
</li>
<li>requiresFullyRead()
: <a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#aeafe28f79ddfadf0bc40c68c3c454c0d">alexaClientSDK::speechencoder::EncoderContext</a>
, <a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_opus_encoder_context.html#a1e5c6d91cf1769d25dab7f4a05318539">alexaClientSDK::speechencoder::OpusEncoderContext</a>
</li>
<li>RequiresShutdown()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">alexaClientSDK::avsCommon::utils::RequiresShutdown</a>
</li>
<li>reset()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_message_router_observer.html#aea896ac9caa6a40a9567f1ee1fafe947">alexaClientSDK::acl::transport::test::MockMessageRouterObserver</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#acd7a5620cab205fed83b29d51fcddef5">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_optional.html#a22c4f8bcf0238504f3b1684b7244f359">alexaClientSDK::avsCommon::utils::Optional&lt; ValueT &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1test_1_1_wait_event.html#a56edfba5956d9fe7354a365bf5955726">alexaClientSDK::avsCommon::utils::test::WaitEvent</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_stopwatch.html#a10a067b56d877f4da78070251962626e">alexaClientSDK::avsCommon::utils::timing::Stopwatch</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#aa98335574ce0122dcc95ee377c6f2f5f">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a16fd8795bdf993c857f25e6a4b1db239">alexaClientSDK::capabilityAgents::alerts::Alert</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#ad13550ef50a8011aa5e3237817995600">alexaClientSDK::storage::sqliteStorage::SQLiteStatement</a>
</li>
<li>resetBands()
: <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_controller.html#ab46813edd0974c59eb2b92a4e20b113b">alexaClientSDK::equalizer::EqualizerController</a>
</li>
<li>resetDevice()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a1ae1208bcb2edebad25f4250d9a8db27">alexaClientSDK::sampleApp::InteractionManager</a>
</li>
<li>resetState()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa3165fcc15f534a15185d0ca386c845f">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>
</li>
<li>resetWakeOnSetState()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_external_media_player_test.html#aa349069cbfc6695b9dad1dab19e57aac">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::ExternalMediaPlayerTest</a>
</li>
<li>respondToDownchannelRequests()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#afc007d1528aba47093b2af215f5495c8">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection</a>
</li>
<li>restoreValue()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_d_n_d_setting_protocol.html#a0e4592877117a1d04607cce89a828030">alexaClientSDK::capabilityAgents::doNotDisturb::DNDSettingProtocol</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_protocol_interface.html#a8f53143c5629664451cced6e827b16be">alexaClientSDK::settings::SettingProtocolInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_protocol.html#afe4cbd891bb5396a188840076fc9dfcb">alexaClientSDK::settings::test::MockSettingProtocol</a>
</li>
<li>Result()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a559c7b77e18b452b6c7b45201dbcff43">alexaClientSDK::avsCommon::utils::error::Result&lt; TStatus, TValue &gt;</a>
</li>
<li>resume()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a1bddbef99754845f428924d7b8883eb8">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_stopwatch.html#a39920cc8044578453c549eed34d40a98">alexaClientSDK::avsCommon::utils::timing::Stopwatch</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a10dad245876833723ffc919dbdb7652f">alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test_1_1_progress_timer_test.html#a29dbcd0b38aafd69f470fc4e694d8c26">alexaClientSDK::capabilityAgents::audioPlayer::test::ProgressTimerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_media_player.html#a77ca651efc58f4ca18941cfae559afe3">alexaClientSDK::integration::test::TestMediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#af9da612c856654050524399ae75765d5">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#afd6e7598a71b9a91409fc683b7886e9b">alexaClientSDK::mediaPlayer::MediaPlayer</a>
</li>
<li>RetryTimer()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_retry_timer.html#a7b467ac3f236cc4183f047861aed12f6">alexaClientSDK::avsCommon::utils::RetryTimer</a>
</li>
<li>RevokeAuthorizationObserver()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_revoke_authorization_observer.html#ac7349e5287cba625b24c5f3f72b9719c">alexaClientSDK::sampleApp::RevokeAuthorizationObserver</a>
</li>
<li>rollback()
: <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database_1_1_transaction.html#ad5e6065352f8d03a91d795a4eb7d46f1">alexaClientSDK::storage::sqliteStorage::SQLiteDatabase::Transaction</a>
</li>
<li>run()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_sink.html#a1856e52aa9317544d304d6eb24bf9f0f">alexaClientSDK::avsCommon::utils::sds::test::Sink</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_source.html#a799cf59eba0381ef65115aa66ce17001">alexaClientSDK::avsCommon::utils::sds::test::Source</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#af3c1ba5d29a88d3439fa1d70c5467e31">alexaClientSDK::sampleApp::SampleApplication</a>
, <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html#a78419bff185de02cbd3fcf3d6f1bb2a2">alexaClientSDK::sampleApp::UserInputManager</a>
</li>
<li>RunDetection()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ae4386bdd8b405fa4f962bdcebff67702">alexaClientSDK::kwd::SnowboyWrapper</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
